picard.analysis

## Class CollectWgsMetrics.WgsMetricsCollector

- java.lang.Object
- - picard.analysis.CollectWgsMetrics.WgsMetricsCollector

- Direct Known Subclasses:
    CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector
  Enclosing class:
    CollectWgsMetrics

      protected class CollectWgsMetrics.WgsMetricsCollector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `coverageCap`
    `protected long[]` | `highQualityDepthHistogramArray`
    `protected htsjdk.samtools.util.IntervalList` | `intervals`
    `protected long[]` | `unfilteredBaseQHistogramArray`
    `protected long[]` | `unfilteredDepthHistogramArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WgsMetricsCollector(int coverageCap, htsjdk.samtools.util.IntervalList intervals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBaseQHistogram(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file)`
    `void` | `addInfo(htsjdk.samtools.util.SamLocusIterator.LocusInfo info)`
    `void` | `addToMetricsFile(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file, boolean includeBQHistogram, CountingFilter dupeFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)`
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getHighQualityDepthHistogram()`
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getHistogram(long[] array, String binLabel, String valueLabel)`
    `protected CollectWgsMetrics.WgsMetrics` | `getMetrics(CountingFilter dupeFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)`
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getUnfilteredBaseQHistogram()`
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getUnfilteredDepthHistogram()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### unfilteredDepthHistogramArray

          protected final long[] unfilteredDepthHistogramArray

    - #### unfilteredBaseQHistogramArray

          protected final long[] unfilteredBaseQHistogramArray

    - #### highQualityDepthHistogramArray

          protected final long[] highQualityDepthHistogramArray

    - #### intervals

          protected final htsjdk.samtools.util.IntervalList intervals

    - #### coverageCap

          protected final int coverageCap

  - ### Constructor Detail

    - #### WgsMetricsCollector

          public WgsMetricsCollector(int coverageCap,
                                     htsjdk.samtools.util.IntervalList intervals)

  - ### Method Detail

    - #### addInfo

          public void addInfo(htsjdk.samtools.util.SamLocusIterator.LocusInfo info)

    - #### addToMetricsFile

          public void addToMetricsFile(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file,
                                       boolean includeBQHistogram,
                                       CountingFilter dupeFilter,
                                       CountingFilter mapqFilter,
                                       CountingPairedFilter pairFilter)

    - #### addBaseQHistogram

          protected void addBaseQHistogram(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file)

    - #### getHighQualityDepthHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getHighQualityDepthHistogram()

    - #### getUnfilteredDepthHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getUnfilteredDepthHistogram()

    - #### getUnfilteredBaseQHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getUnfilteredBaseQHistogram()

    - #### getHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getHistogram(long[] array,
                                                                         String binLabel,
                                                                         String valueLabel)

    - #### getMetrics

          protected CollectWgsMetrics.WgsMetrics getMetrics(CountingFilter dupeFilter,
                                                            CountingFilter mapqFilter,
                                                            CountingPairedFilter pairFilter)